sr      =        44100
kr      =        441
ksmps   =        100
nchnls  =        1
;=========================================================================
gar     init     0
;=========================================================================
; TURN ON GLOBAL INSTRUMENTS ---------------------------------------------
;=========================================================================
turnon  129             ; REVERB
;=========================================================================
; INITIALIZE DIRECT & EFFECT SEND/RETURN LEVELS --------------------------
;=========================================================================
gidr    =        .4     ; DRUM REVERB RETURN
;=========================================================================
; LOAD INSTRUMENT AIFFS --------------------------------------------------
;=========================================================================
gipiano      ftgen 1, 0, 0, 1,   "piano5.aif",    0, 0, 0
giaccord     ftgen 2, 0, 0, 1,   "accord1.aif",   0, 0, 0
gistring     ftgen 3, 0, 0, 1,   "strngs6.aif",   0, 0, 0
gipizz       ftgen 4, 0, 0, 1,   "pizz1.aif",     0, 0, 0
giclar       ftgen 5, 0, 0, 1,   "clar4.aif",     0, 0, 0
gi26         ftgen 6, 0, 0, 1,   "26b3.aif",      0, 0, 0
giguitar     ftgen 7, 0, 0, 1,   "jg1_a3.aif",    0, 0, 0
girockgtr    ftgen 8, 0, 0, 1,   "rockgtr2.aif",  0, 0, 0
;=========================================================================
; LOAD DRUM WAVETABLES ---------------------------------------------------
;=========================================================================
gibd     ftgen  30.35, 0, 0, 1,   "d0136ns.aif", 0, 0, 0
gids     ftgen  31.35, 0, 0, 1,   "d0137ns.aif", 0, 0, 0
gisd     ftgen  32.35, 0, 0, 1,   "d0138n2.aif", 0, 0, 0
gihhc    ftgen  33.35, 0, 0, 1,   "d0142ns.aif", 0, 0, 0
gimtm    ftgen  34.35, 0, 0, 1,   "d0145ns.aif", 0, 0, 0
gihtm    ftgen  35.35, 0, 0, 1,   "d0150ns.aif", 0, 0, 0
gihho    ftgen  36.35, 0, 0, 1,   "d0146ns.aif", 0, 0, 0
giltm    ftgen  37.35, 0, 0, 1,   "d0141ns.aif", 0, 0, 0
girb     ftgen  38.35, 0, 0, 1,   "d0153ns.aif", 0, 0, 0
gicc     ftgen  39.35, 0, 0, 1,   "d0149ns.aif", 0, 0, 0
girc     ftgen  40.35, 0, 0, 1,   "d0151ns.aif", 0, 0, 0
giclv    ftgen  41.35, 0, 0, 1,   "d0175ns.aif", 0, 0, 0
gimar    ftgen  42.35, 0, 0, 1,   "d0170ns.aif", 0, 0, 0
gitmb    ftgen  43.35, 0, 0, 1,   "d0154ns.aif", 0, 0, 0
gibel    ftgen  44.35, 0, 0, 1,   "d0185ns.aif", 0, 0, 0
gicst    ftgen  45.35, 0, 0, 1,   "d0184ns.aif", 0, 0, 0
gismtm   ftgen  46.35, 0, 0, 1,   "d2545ns.aif", 0, 0, 0
gisltm   ftgen  47.35, 0, 0, 1,   "d2541ns.aif", 0, 0, 0
;=========================================================================
; INSTRUMENTS ------------------------------------------------------------
;=========================================================================
instr 1
          ifrq	=	cpspch(p5)
          kenv    linen   5000 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, gipiano, 339.05
          out     asig
          gar	fxsend  asig, 0.125
endin
instr 2
          ifrq	=	cpspch(p5)
          kenv    linen   3500 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, giaccord, 290.6
          out     asig    			
          gar	fxsend  asig, 0.125
endin
instr 3
          ifrq	=	cpspch(p5)
          kenv    linen   3900 * p4, .02 * p6, p3, .08
          asig    loscil1 kenv, ifrq, gistring, 269.78       
          out     asig      			
          gar	fxsend  asig, 0.125
endin
instr 4
          ifrq	=	cpspch(p5)
          kenv    linen   7000 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, gipizz, 536.12
          out     asig       			
          gar	fxsend  asig, 0.125
endin
instr 5
          ifrq	=	cpspch(p5)
          kenv    linen   3200 * p4, .02, p3, .08
          asig    loscil1	kenv, ifrq, giclar, 329.62
          out 	asig
          gar	fxsend  asig, 0.125
endin
instr 6
          ifrq	=	cpspch(p5)
          kenv    linen   5000 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, gi26, 246.94
          out     asig      			
          gar	fxsend  asig, 0.125
endin
instr 7
          ifrq	=	cpspch(p5)
          kenv    linen   7000 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, giguitar, 261.88
          out     asig   			
          gar	fxsend  asig, 0.125
endin
instr 8
          if p5 == 0  kgoto li1
          if p5 == 1  kgoto li2
          if p5 == 2  kgoto li3
          if p5 == 3  kgoto li4
          if p5 == 4  kgoto li5
          if p5 == 5  kgoto li6
          if p5 == 6  kgoto li7
          if p5 == 7  kgoto li8
          if p5 == 8  kgoto li9
          if p5 == 9  kgoto li10
          if p5 == 10  kgoto li11
          if p5 == 11  kgoto li12
          if p5 == 12  kgoto li13
          if p5 == 13  kgoto li14
          if p5 == 14  kgoto li15
          if p5 == 15  kgoto li16
          if p5 == 16  kgoto li17
          asig    doscil 8370 * p4, gisltm
          kgoto   end
  li1:
          asig    doscil 6510 * p4, gibd
          kgoto   end
  li2:
          asig    doscil 7000 * p4, gids
          kgoto   end
  li3:
          asig    doscil 7905 * p4, gisd
          kgoto   end
  li4:
          asig    doscil 4650 * p4, gihhc
          kgoto   end
  li5:
          asig    doscil 8370 * p4, gimtm
          kgoto   end
  li6:
          asig    doscil 6510 * p4, gihtm
          kgoto   end
  li7:
          asig    doscil 4650 * p4, gihho
          kgoto   end
  li8:
          asig    doscil 10230 * p4, giltm
          kgoto   end
  li9:
          asig    doscil 6510 * p4, girb
          kgoto   end
  li10:
          asig    doscil 6510 * p4, gicc
          kgoto   end
  li11:
          asig    doscil 6510 * p4, girc
          kgoto   end
  li12:
          asig    doscil 15810 * p4, giclv
          kgoto   end
  li13:
          asig    doscil 9300 * p4, gimar
          kgoto   end
  li14:
          asig    doscil 10230 * p4, gitmb
          kgoto   end
  li15:
          asig    doscil 8370 * p4, gibel
          kgoto   end
  li16:
          asig    doscil 8370 * p4, gicst
          kgoto   end
  li17:
          asig    doscil 8370 * p4, gismtm
  end:
          out     asig
          gar   fxsend  asig, 0.125
endin
instr 9
          ifrq	=	cpspch(p5)
          kenv    linen   3000 * p4, .02, p3, .08
          asig    loscil1 kenv, ifrq, girockgtr, 399.95
          out     asig
          gar	fxsend  asig, 0.125
endin
instr 51
          ifrq	=	cpspch(p5)
          kenv    linenr  5000 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, gipiano, 339.05
          out     asig
          gar	fxsend  asig, 0.125
endin
instr 52
          ifrq	=	cpspch(p5)
          kenv    linenr  3500 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, giaccord, 290.6
          out     asig         			
          gar	fxsend  asig, 0.125
endin
instr 53
          ifrq	=	cpspch(p5)
          kenv    linenr  3900 * p4, 0.2, 2
          asig    loscil1 kenv, ifrq, gistring, 269.78
          out     asig      			
          gar	fxsend  asig, 0.125
endin
instr 54
          ifrq	=	cpspch(p5)
          kenv    linenr  7000 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, gipizz, 536.12
          out     asig       			
          gar	fxsend  asig, 0.125
endin
instr 55
          ifrq	=	cpspch(p5)
          kenv    linenr  3200 * p4, 0.01, 2
          asig    loscil1	kenv, ifrq, giclar, 329.62
          out 	asig
          gar	fxsend  asig, 0.125
endin
instr 56
          ifrq	=	cpspch(p5)
          kenv    linenr  5000 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, gi26, 246.94
          out     asig      			
          gar	fxsend  asig, 0.125
endin
instr 57
          ifrq	=	cpspch(p5)
          kenv    linenr  7000 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, giguitar, 261.88
          out     asig   			
          gar	fxsend  asig, 0.125
endin
instr 58
          if p5 == 0  kgoto li1
          if p5 == 1  kgoto li2
          if p5 == 2  kgoto li3
          if p5 == 3  kgoto li4
          if p5 == 4  kgoto li5
          if p5 == 5  kgoto li6
          if p5 == 6  kgoto li7
          if p5 == 7  kgoto li8
          if p5 == 8  kgoto li9
          if p5 == 9  kgoto li10
          if p5 == 10  kgoto li11
          if p5 == 11  kgoto li12
          if p5 == 12  kgoto li13
          if p5 == 13  kgoto li14
          if p5 == 14  kgoto li15
          if p5 == 15  kgoto li16
          if p5 == 16  kgoto li17
          asig    doscil 8370 * p4, gisltm
          kgoto   end
  li1:
          asig    doscil 6510 * p4, gibd
          kgoto   end
  li2:
          asig    doscil 7000 * p4, gids
          kgoto   end
  li3:
          asig    doscil 7905 * p4, gisd
          kgoto   end
  li4:
          asig    doscil 4650 * p4, gihhc
          kgoto   end
  li5:
          asig    doscil 8370 * p4, gimtm
          kgoto   end
  li6:
          asig    doscil 6510 * p4, gihtm
          kgoto   end
  li7:
          asig    doscil 4650 * p4, gihho
          kgoto   end
  li8:
          asig    doscil 10230 * p4, giltm
          kgoto   end
  li9:
          asig    doscil 6510 * p4, girb
          kgoto   end
  li10:
          asig    doscil 6510 * p4, gicc
          kgoto   end
  li11:
          asig    doscil 6510 * p4, girc
          kgoto   end
  li12:
          asig    doscil 15810 * p4, giclv
          kgoto   end
  li13:
          asig    doscil 9300 * p4, gimar
          kgoto   end
  li14:
          asig    doscil 10230 * p4, gitmb
          kgoto   end
  li15:
          asig    doscil 8370 * p4, gibel
          kgoto   end
  li16:
          asig    doscil 8370 * p4, gicst
          kgoto   end
  li17:
          asig    doscil 8370 * p4, gismtm
  end:
          out     asig
          gar   fxsend  asig, 0.125
endin
instr 59
          ifrq	=	cpspch(p5)
          kenv    linenr  3000 * p4, 0.01, 2
          asig    loscil1 kenv, ifrq, girockgtr, 399.95
          out     asig
          gar	fxsend  asig, 0.125
endin
;=========================================================================
; GLOBAL REVERB INSTRUMENT -----------------------------------------------
;=========================================================================
          instr    129
asig    reverb2  gar, 3.0, 0.3
          out      asig
gar   =        0
          endin
